Subject: bug#70076: closed (Re: bug#70076: 28.3; xml-escape-string parse issue)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 30 Jun 2024 06:13:02 +0000

Your bug report

#70076: 28.3; xml-escape-string parse issue

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70076: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70076
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#70076: 28.3; xml-escape-string parse issue
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], "D. Schmudde" <[email-masked]>
Date: Sat, 29 Jun 2024 23:11:45 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: "D. Schmudde" <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Sun, 31 Mar 2024 13:15:29 +0200
>>
>> Okay, good to know. Thanks for taking a look.
>>
>> Here is some additional context. It occurs when using Elfeed's
>> ~elfeed-export-opml~ on my list of RSS feeds. It seems the library
>> relies on ~xml-escape-string~ to parse each element. It's worth
>> noting that this happens on several feeds, not just the feed for
>> leancrew.com listed below.
>
> OK, but still: how did you get to that point?  Where did the
> problematic string originate from?  Was it something that you typed or
> copy/pasted, or something else?
>
>> I can file a bug with the package maintainers but I wasn't sure if
>> the XML parser was a better place to start.
>
> Yes, I think it is best to start by reporting this to package
> maintainers.

This doesn't seem like a bug in Emacs, and we didn't hear anything in 3
months.  I'm therefore closing this bug.

If this is still an issue, please reply to this email (use "Reply to
all" in your email client) and we can reopen the bug report.

Subject: 28.3; xml-escape-string parse issue
From: "D. Schmudde" <[email-masked]>
To: [email-masked]
Cc: Protesilaos Stavrou <[email-masked]>
Date: Fri, 29 Mar 2024 16:44:48 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Starting with `emacs -Q`:

(require 'xml)
(xml-escape-string "And now it\342\200\231s all this")

The result is: `xml-escape-string: Invalid XML character: 4194274, 
11`

I expect that the string will parse correctly with these escape 
characters. Or is this expectation wrong?

In GNU Emacs 28.3 (build 1, x86_64-pc-linux-gnu, GTK+ Version 
3.24.33, cairo version 1.16.0)
 of 2023-08-25 built on pop-os
Repository revision: dec958258b133b4c21224c594da433919d852800
Repository branch: emacs-28
System Description: Pop!_OS 22.04 LTS

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ 
JPEG
JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES 
NOTIFY
INOTIFY PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF 
TOOLKIT_SCROLL_BARS
X11 XDBE XIM XPM GTK3 ZLIB
Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

-- 
w: http://schmud.de
e: [email-masked]
t: @dschmudde